# This configuration is intended for development purpose, it's **your** responsibility to harden it for production
version: '3.8'
services:
  testapplication-app:
    image: testapplication
    environment:
      - _JAVA_OPTIONS=-Xmx512m -Xms256m
      - SPRING_PROFILES_ACTIVE=prod,api-docs
      - MANAGEMENT_METRICS_EXPORT_PROMETHEUS_ENABLED=true
      - SPRING_DATASOURCE_URL=jdbc:postgresql://testapplication-postgresql:5432/TestApplication
      - SPRING_LIQUIBASE_URL=jdbc:postgresql://testapplication-postgresql:5432/TestApplication
      - JHIPSTER_SLEEP=30 # gives time for other services to boot before the application
    # If you want to expose these ports outside your dev PC,
    # remove the "127.0.0.1:" prefix
    ports:
      - 127.0.0.1:8080:8080
  testapplication-postgresql:
    image: postgres:13.4
    # volumes:
    #   - ~/volumes/jhipster/TestApplication/postgresql/:/var/lib/postgresql/data/
    environment:
      - POSTGRES_USER=TestApplication
      - POSTGRES_PASSWORD=
      - POSTGRES_HOST_AUTH_METHOD=trust
    # If you want to expose these ports outside your dev PC,
    # remove the "127.0.0.1:" prefix
    ports:
      - 127.0.0.1:5432:5432
